javax.servlet.descriptor

## Interface JspConfigDescriptor

-     public interface JspConfigDescriptor

  This interface exposes the JSP specific configuration information obtain ed from the deployment descriptors. It is primarily provided so that JSP implementations do not have to parse deployment descriptors.
  Since:
    Servlet 3.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<JspPropertyGroupDescriptor>` | `getJspPropertyGroups()` Provide the set of JSP property groups obtained from the <jsp-config> elements in the web application's deployment descriptors.
    `java.util.Collection<TaglibDescriptor>` | `getTaglibs()` Provide the set of tag library descriptors obtained from the <jsp-config> elements in the web application's deployment descriptors.

- - ### Method Detail

    - #### getTaglibs

          java.util.Collection<TaglibDescriptor> getTaglibs()

      Provide the set of tag library descriptors obtained from the <jsp-config> elements in the web application's deployment descriptors.
      Returns:
        the tag library descriptors

    - #### getJspPropertyGroups

          java.util.Collection<JspPropertyGroupDescriptor> getJspPropertyGroups()

      Provide the set of JSP property groups obtained from the <jsp-config> elements in the web application's deployment descriptors.
      Returns:
        the JSP property groups

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.